Trending

Pokemon GO will soon discontinue support for older iPhones and iPads

Pokemon GO developer Niantic announced that it’d soon be stopping support for devices not capable of running iOS 11, and it’s a bit of an odd one to feel out. 

In Niantic’s most recent blog post it’s explained that, older devices, such as iPhone 5 and 5c or fourth-generation iPad, will no longer be able to play Pokemon GO since they can’t upgrade to iOS 11. 

This is down to the simple fact that older devices simply don’t have the operating systems to handle such a load. As it says, “This change is a result of improvements to Pokémon GO that push the application beyond the capabilities of the operating systems on such devices.”

While this may not be much of an issue to a lot of users out there, it’s a bit of a tricky one overall. On one hand Niantic just wants to keep improving Pokemon GO‘s features and give players the best experience possible, and that comes with higher and higher strains on the OS.

But, on the other hand players who own the soon-to-be affected devices who have put real money into PokeCoins, Pokeballs, Incubators, and more optional IAPs will no longer be able to use them until they upgrade to a new phone. 

This change won’t come into effect until February 28th so there’s still a good month and a bit, but what do you guys think of the change? Does it put a bad taste in your mouth or are you not that bothered? Let us know in the comments below.